
int hdmm01_get_axis (char axis)
{
	int axis_msb, axis_lsb, axis_val;
	
	i2c_start(hdmm01_address+I2C_WRITE);
	i2c_write(0b10000001);
	switch (axis)
	{
		//x-axis
		case 'x'	:	i2c_rep_start(hdmm01_address+I2C_WRITE); //msb
						i2c_write(MSB_X_Axis);
						i2c_rep_start(hdmm01_address+I2C_READ);
						axis_msb = i2c_readNak();
						
						i2c_rep_start(hdmm01_address+I2C_WRITE); //lsb
						i2c_write(LSB_X_Axis);
						i2c_rep_start(hdmm01_address+I2C_READ);
						axis_lsb = i2c_readNak();
			break;
		
		//y-axis	
		case 'y'	:	i2c_rep_start(hdmm01_address+I2C_WRITE); //msb
						i2c_write(MSB_Y_Axis);
						i2c_rep_start(hdmm01_address+I2C_READ);
						axis_msb = i2c_readNak();
						
						i2c_rep_start(hdmm01_address+I2C_WRITE); //lsb
						i2c_write(LSB_Y_Axis);
						i2c_rep_start(hdmm01_address+I2C_READ);
						axis_lsb = i2c_readNak();
			break;
	}
	
	i2c_stop();
	
	axis_val = axis_msb *255;
	axis_val = axis_val + axis_lsb;
	
	return axis_val;
}

int hdmm01_get_inklination (void)
{
	int x_stack, y_stack, inkl_stack;
	
	x_stack = hdmm01_get_axis('x');
	y_stack = hdmm01_get_axis('y');
	
	inkl_stack = hdmm01_calc_inklination(y_stack, x_stack);
	
	return inkl_stack;
}

int hdmm01_calc_inklination (int y_axis, int x_axis)
{
	int inklination;
	double tangens_y_x;
	
	tangens_y_x = y_axis / x_axis;
	
	inklination = atan(tangens_y_x);
	
	return inklination;
}